﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.IO;

namespace AppCode
{
    public class Common
    {
        public Common() { }

        public static void errorLog(String MethodName, String ClassName, Exception ex)
        {
            try
            {
                StreamWriter sw= File.AppendText(AppDomain.CurrentDomain.BaseDirectory + "ErrorLog\\Error_" + DateTime.Now.ToString("ddMMMyyyy") + ".txt");
                sw.WriteLine();
                String msg = "***********************************************************************************" + "\r\n" +
                             " DateTime      :   " + DateTime.Now.ToString("dd MMM yyyy HH:mm") + "\r\n" +
                             " Method Name  :   " + MethodName + "\r\n" +
                             " Class Name   :   " + ClassName + "\r\n" +
                             " Exception    :   " + ex.Message+ "\r\n" +
                             "***********************************************************************************" ;
                sw.Write(msg);
                sw.Close();
                sw.Dispose();
            }
            catch (Exception)
            {

                throw;
            }
        }

        public static void saveLog(String FileName, Exception ex)
        {
            try
            {
                StreamWriter sw = File.AppendText(AppDomain.CurrentDomain.BaseDirectory + "ErrorLog\\Log_" + DateTime.Now.ToString("ddMMMyyyy") + ".txt");
                sw.WriteLine();
                String msg = "***********************************************************************************" + "\r\n" +
                             " DateTime      :   " + DateTime.Now.ToString("dd MMM yyyy HH:mm") + "\r\n" +
                             " File Name  :   " + FileName + "\r\n" +
                             " Exception    :   " + ex.Message + "\r\n" +
                            "***********************************************************************************";
                sw.Write(msg);
                sw.Close();
                sw.Dispose();
            }
            catch (Exception)
            {

                throw;
            }
        }
    }
}